Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.preferences
Class DefaultScope

    java.lang.Object
      org.eclipse.core.internal.preferences.AbstractScope
          org.eclipse.core.runtime.preferences.DefaultScope

All Implemented Interfaces:
  IScopeContext

public final class DefaultScope
extends org.eclipse.core.internal.preferences.AbstractScope

Object representing the default scope in the Eclipse preferences hierarchy. Can be used as a context for searching for preference values (in the IPreferencesService APIs) or for determining the correct preference node to set values in the store.

Default preferences are not persisted to disk.

The path for preferences defined in the default scope hierarchy is as follows: `/default/<qualifier>`

Note about product preference customization: Clients who define their own `IProduct` are able to specify a product key of "`preferenceCustomization`". (defined as a constant in `IProductConstants`) Its value is either a `URL` or a file-system path to a file whose contents are used to customize default preferences.

Since:
  3.0

Field Summary
`static String` | `SCOPE` String constant (value of `"default"`) used for the scope name for the default preference scope.

Constructor Summary
`DefaultScope()`

Method Summary
`IPath` | `getLocation()` Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.
`String` | `getName()` Return the name of the scope that this context is associated with.

Methods inherited from class org.eclipse.core.internal.preferences.AbstractScope
`getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE

    public static final String SCOPE

  String constant (value of `"default"`) used for the scope name for the default preference scope.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultScope

    public DefaultScope()

Method Detail

### getName

    public String getName()

  Description copied from interface: `IScopeContext`
  Return the name of the scope that this context is associated with. Must not be `null`.

### getLocation

    public IPath getLocation()

  Description copied from interface: `IScopeContext`
  Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.

  Implementors may return `null` if the location is not known, is unavailable, or is unapplicable to this scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.